Bug 1258400 - Inconsistent between subnet-create & subnet-update command
Inconsistent between subnet-create & subnet-update command
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-neutronclient (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Nir Magnezi
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 05:48 EDT by Eran Kuris
Modified: 2016-04-26 18:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 10:43:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1490985 None None None Never

  None (edit)
Description Eran Kuris 2015-08-31 05:48:09 EDT
Description of problem:
When creating subnet with allocation pool we using flag that calls :  " --allocation-pool"

the full command : 
$ neutron subnet-create external_network 10.35.166.0/24 --disable-dhcp --gateway 10.35.166.254  --allocation-pool start=10.35.166.1,end=10.35.166.100

When we want to update the subnet we need to use this flags : 
--allocation-pools type=dict list=true start=10.35.166.1,end=10.35.166.55

the full command is : 
[root@cougar16 ~(keystone_admin)]# neutron  subnet-update c609b9ce-18d7-4b44-b8e0-5354a7b92caa --allocation-pools type=dict list=true start=10.35.166.1,end=10.35.166.55
Updated subnet: c609b9ce-18d7-4b44-b8e0-5354a7b92caa



Version-Release number of selected component (if applicable):

[root@cougar16 ~(keystone_admin)]# rpm -qa |grep neutron 
openstack-neutron-2014.1.5-2.el7ost.noarch
python-neutronclient-2.3.4-3.el7ost.noarch
python-neutron-2014.1.5-2.el7ost.noarch
openstack-neutron-ml2-2014.1.5-2.el7ost.noarch
openstack-neutron-openvswitch-2014.1.5-2.el7ost.noarch
How reproducible:


Steps to Reproduce:
1.Install OSP 5 on  RHEL 7.1 
2.run the command : neutron net-create external_network --provider:network_type=vlan  --provider:segmentation_id=181 --provider:physical_network physnet --router:external

3.run the command : neutron subnet-create external_network 10.35.166.0/24 --disable-dhcp --gateway 10.35.166.254  --allocation-pool start=10.35.166.1,end=10.35.166.100

4. neutron subnet-update c609b9ce-18d7-4b44-b8e0-5354a7b92caa --allocation-pool start=10.35.166.1,end=10.35.166.90
Unrecognized attribute(s) 'allocation_pool'
Actual results:

5.neutron subnet-update c609b9ce-18d7-4b44-b8e0-5354a7b92caa --allocation-pools start=10.35.166.1,end=10.35.166.90
Invalid input for allocation_pools. Reason: Invalid data format for IP pool: 'start=10.35.166.1,end=10.35.166.90'.


Expected results:
the command in step 4 should work.

Additional info:
the command that work is : 
neutron  subnet-update c609b9ce-18d7-4b44-b8e0-5354a7b92caa --allocation-pools type=dict list=true start=10.35.166.1,end=10.35.166.55
Updated subnet: c609b9ce-18d7-4b44-b8e0-5354a7b92caa


Probably it reproduce in OSP 7
Comment 4 Assaf Muller 2015-09-01 10:43:44 EDT
Once again there's nothing downstream specific about this bug, there's no need to continue tracking it in RHBZ.
Comment 5 Eran Kuris 2015-10-06 01:39:57 EDT
Opened upstream bug  about this issue : 
https://bugs.launchpad.net/python-neutronclient/+bug/1490985

Note You need to log in before you can comment on or make changes to this bug.